Subject: [PATCH v15 06/12] OMAP: dmtimer: switch-over to platform device driver

From: [email-masked] (Tony Lindgren)
Date: Thu, 15 Sep 2011 09:58:10 -0700

* Mohammed, Afzal <[email-masked]> [110915 01:13]:
> Hi Tony,
> 
> On Thu, Sep 15, 2011 at 11:12:53, DebBarma, Tarun Kanti wrote:
> > On Thu, Sep 15, 2011 at 3:15 AM, Tony Lindgren <[email-masked]> wrote:
> > > * Tarun Kanti DebBarma <[email-masked]> [110908 13:36]:
> > >> removed from timer code. New set of timers present on
> > >> OMAP4 are now supported.
> > > Also, as we don't need the support for different register offsets for 
> > > the first two omap4 timers, please rather implement support for the 
> > > new timers and the timeouts directly in plat-omap/dmtimer.c.
> > >
> > > That way we can still keep the minimal timer support simple for 
> > > clocksource and clockevent. Of course this means that we'll be only 
> > > supporting the first two timers as system timers on omap4, but that's 
> > > fine.
> > Ok, I can make the change!
> > But, do we have to keep OMAP5 in mind right now where even timers[1,2] require addition of offsets?
> 
> We need clocksource & clockevent to be able to work with
> timers requiring addition of offsets. Without this AM335X,
> TI816X and TI814X SoC's will not boot.

OK. Then how about let's do the following things:

1. Modify the inline access functions to take the PEND and others
   if needed registers as a parameter

2. Modify mach-omap2/timer.c to initialize the PEND and others
   in the SoC specific timer_init function

3. Move all the non-minimal stuff into dmtimer.c as that will
   eventually be a device driver at some point

This way we can still share some of the inline access functions
and keep the system timer code minimal. Then the device driver
like features will be limited to dmtimer.c as that usage is more
complex with than with system timer.

Regards,

Tony